Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.amf.testing.ui.contentassist
Class AbstractATestProposalProvider

    java.lang.Object
      org.eclipse.xtext.ui.editor.contentassist.AbstractContentProposalProvider
          org.eclipse.xtext.ui.editor.contentassist.AbstractJavaBasedContentProposalProvider
              org.eclipse.xtext.common.ui.contentassist.TerminalsProposalProvider
                  org.eclipse.amp.amf.abase.ui.contentassist.AbstractABaseProposalProvider
                      org.eclipse.amp.amf.abase.ui.contentassist.ABaseProposalProvider
                          org.eclipse.amp.amf.testing.ui.contentassist.AbstractATestProposalProvider

All Implemented Interfaces:
  org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalFactory, org.eclipse.xtext.ui.editor.contentassist.IContentProposalProvider

Direct Known Subclasses:
  ATestProposalProvider

    public class AbstractATestProposalProvider

extends ABaseProposalProvider

Represents a generated, default implementation of interface `IProposalProvider`. Methods are dynamically dispatched on the first parameter, i.e., you can override them with a more concrete subtype.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.xtext.ui.editor.contentassist.AbstractJavaBasedContentProposalProvider
`org.eclipse.xtext.ui.editor.contentassist.AbstractJavaBasedContentProposalProvider.DefaultProposalCreator, org.eclipse.xtext.ui.editor.contentassist.AbstractJavaBasedContentProposalProvider.ReferenceProposalCreator`

Nested classes/interfaces inherited from class org.eclipse.xtext.ui.editor.contentassist.AbstractContentProposalProvider
`org.eclipse.xtext.ui.editor.contentassist.AbstractContentProposalProvider.DefaultContentAssistProcessorSwitch, org.eclipse.xtext.ui.editor.contentassist.AbstractContentProposalProvider.NullSafeCompletionProposalAcceptor`

Constructor Summary
`AbstractATestProposalProvider()`

Method Summary
`void` | `complete_Constraint(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` | `complete_Measure(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` | `complete_Model(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` | `complete_TestMember(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` | `complete_Tests(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` | `completeConstraint_Agent(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` | `completeConstraint_Attribute(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` | `completeConstraint_MaxValue(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` | `completeConstraint_Measure(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` | `completeConstraint_MinValue(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` | `completeConstraint_Qualifier(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` | `completeModel_Contains(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` | `completeModel_Contraints(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` | `completeModel_Description(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` | `completeModel_Name(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` | `completeModel_Tests(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` | `completeTestMember_ImportURI(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` | `completeTests_ImportURI(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`

Methods inherited from class org.eclipse.amp.amf.abase.ui.contentassist.AbstractABaseProposalProvider
`complete_BOOLEAN, complete_BooleanValue, complete_DESC_STRING, complete_INTEGER, complete_IntValue, complete_REAL, complete_RealValue, complete_StringValue, complete_Value, completeBooleanValue_Value, completeIntValue_Value, completeRealValue_Value, completeStringValue_Value`

Methods inherited from class org.eclipse.xtext.common.ui.contentassist.TerminalsProposalProvider
`complete_ANY_OTHER, complete_ID, complete_INT, complete_ML_COMMENT, complete_SL_COMMENT, complete_STRING, complete_WS, doCreateIdProposals, doCreateIntProposals, doCreateStringProposals`

Methods inherited from class org.eclipse.xtext.ui.editor.contentassist.AbstractJavaBasedContentProposalProvider
`completeAssignment, completeKeyword, completeRuleCall, createProposals, getCrossReferenceProposalCreator, getHover, getProposalFactory, getScopeProvider, invokeMethod, lookupCrossReference, lookupCrossReference, lookupCrossReference, lookupCrossReference, lookupCrossReference, lookupCrossReference, setCrossReferenceProposalCreator, setScopeProvider`

Methods inherited from class org.eclipse.xtext.ui.editor.contentassist.AbstractContentProposalProvider
`createCompletionProposal, createCompletionProposal, createCompletionProposal, createCompletionProposal, createSelector, doCreateProposal, doCreateProposal, getConflictHelper, getDisplayString, getImage, getKeywordDisplayString, getLabelProvider, getPriorityHelper, getQualifiedNameConverter, getStyledDisplayString, getStyledDisplayString, getValueConverter, isValidProposal, setConflictHelper, setLabelProvider, setPriorityHelper, setValueConverter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractATestProposalProvider

    public AbstractATestProposalProvider()

Method Detail

### completeModel_Name

    public void completeModel_Name(org.eclipse.emf.ecore.EObject model,
                                   org.eclipse.xtext.Assignment assignment,
                                   org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                   org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

### completeModel_Description

    public void completeModel_Description(org.eclipse.emf.ecore.EObject model,
                                          org.eclipse.xtext.Assignment assignment,
                                          org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                          org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

### completeModel_Tests

    public void completeModel_Tests(org.eclipse.emf.ecore.EObject model,
                                    org.eclipse.xtext.Assignment assignment,
                                    org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                    org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

### completeModel_Contraints

    public void completeModel_Contraints(org.eclipse.emf.ecore.EObject model,
                                         org.eclipse.xtext.Assignment assignment,
                                         org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                         org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

### completeModel_Contains

    public void completeModel_Contains(org.eclipse.emf.ecore.EObject model,
                                       org.eclipse.xtext.Assignment assignment,
                                       org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                       org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

### completeTests_ImportURI

    public void completeTests_ImportURI(org.eclipse.emf.ecore.EObject model,
                                        org.eclipse.xtext.Assignment assignment,
                                        org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                        org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

### completeTestMember_ImportURI

    public void completeTestMember_ImportURI(org.eclipse.emf.ecore.EObject model,
                                             org.eclipse.xtext.Assignment assignment,
                                             org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                             org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

### completeConstraint_Measure

    public void completeConstraint_Measure(org.eclipse.emf.ecore.EObject model,
                                           org.eclipse.xtext.Assignment assignment,
                                           org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                           org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

### completeConstraint_Agent

    public void completeConstraint_Agent(org.eclipse.emf.ecore.EObject model,
                                         org.eclipse.xtext.Assignment assignment,
                                         org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                         org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

### completeConstraint_Attribute

    public void completeConstraint_Attribute(org.eclipse.emf.ecore.EObject model,
                                             org.eclipse.xtext.Assignment assignment,
                                             org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                             org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

### completeConstraint_Qualifier

    public void completeConstraint_Qualifier(org.eclipse.emf.ecore.EObject model,
                                             org.eclipse.xtext.Assignment assignment,
                                             org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                             org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

### completeConstraint_MinValue

    public void completeConstraint_MinValue(org.eclipse.emf.ecore.EObject model,
                                            org.eclipse.xtext.Assignment assignment,
                                            org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                            org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

### completeConstraint_MaxValue

    public void completeConstraint_MaxValue(org.eclipse.emf.ecore.EObject model,
                                            org.eclipse.xtext.Assignment assignment,
                                            org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                            org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

### complete_Model

    public void complete_Model(org.eclipse.emf.ecore.EObject model,
                               org.eclipse.xtext.RuleCall ruleCall,
                               org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                               org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

### complete_Tests

    public void complete_Tests(org.eclipse.emf.ecore.EObject model,
                               org.eclipse.xtext.RuleCall ruleCall,
                               org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                               org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

### complete_TestMember

    public void complete_TestMember(org.eclipse.emf.ecore.EObject model,
                                    org.eclipse.xtext.RuleCall ruleCall,
                                    org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                    org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

### complete_Constraint

    public void complete_Constraint(org.eclipse.emf.ecore.EObject model,
                                    org.eclipse.xtext.RuleCall ruleCall,
                                    org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                    org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

### complete_Measure

    public void complete_Measure(org.eclipse.emf.ecore.EObject model,
                                 org.eclipse.xtext.RuleCall ruleCall,
                                 org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                 org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD